# Bakery::GtkDialogs Class Reference

This class implements some gtkmm UI abstractions. More...

`#include <GtkDialogs.h>`

List of all members.

## Static Public Member Functions

static void | ui_warning (App &app, const Glib::ustring &text, const Glib::ustring &secondary_text)
static Glib::ustring | ui_file_select_open (App &app, const Glib::ustring &starting_folder_uri=Glib::ustring())
static Glib::ustring | ui_file_select_save (App &app, const Glib::ustring &old_file_uri)
| Ask the user for a filename, and ask for confirmation if the file exists already.
static void | ui_show_modification_status ()
static App_WithDoc::enumSaveChanges | ui_offer_to_save_changes (App &app, const Glib::ustring &file_uri)

## Detailed Description

This class implements some gtkmm UI abstractions.

## Member Function Documentation

static void Bakery::GtkDialogs::ui_warning | ( | App & | app,
|  | const Glib::ustring & | text,
|  | const Glib::ustring & | secondary_text |
| ) |  |  | `[static]`

static Glib::ustring Bakery::GtkDialogs::ui_file_select_open | ( | App & | app,
|  | const Glib::ustring & | starting_folder_uri = `Glib::ustring()` |
| ) |  |  | `[static]`

static Glib::ustring Bakery::GtkDialogs::ui_file_select_save | ( | App & | app,
|  | const Glib::ustring & | old_file_uri |
| ) |  |  | `[static]`

Ask the user for a filename, and ask for confirmation if the file exists already.

static void Bakery::GtkDialogs::ui_show_modification_status | ( |  | ) | `[static]`

static App_WithDoc::enumSaveChanges Bakery::GtkDialogs::ui_offer_to_save_changes | ( | App & | app,
|  | const Glib::ustring & | file_uri |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- GtkDialogs.h